Chromium Code Reviews
Help | Chromium Project | Sign in
(11)

Issue 596043003: Basic console error messages for subresource integrity. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 6 months ago by jww
Modified:
2 years, 6 months ago
Reviewers:
Mike West
CC:
blink-reviews
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Project:
blink
Visibility:
Public.

Description

Basic console error messages for subresource integrity. Subresource integrity is behind an experimental flag in blink (see https://codereview.chromium.org/566083003). This CL adds in some useful console error messages when things go wrong, such as non-matching integrity values or an unparsable integrity attribute. R=mkwst@chromium.org BUG=355467 Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=183000

Patch Set 1 #

Patch Set 2 : Updated some of the FIXME comments #

Total comments: 8

Patch Set 3 : Rebase on ToT #

Patch Set 4 : Addressed comments from mkwst #

Total comments: 4

Patch Set 5 : Typos #

Patch Set 6 : Fixed broken test expected values #

Messages

Total messages: 13 (3 generated)
jww
2 years, 6 months ago (2014-09-23 23:36:37 UTC) #1
Mike West
Thanks! A few comments inline. https://codereview.chromium.org/596043003/diff/20001/Source/core/frame/SubresourceIntegrity.cpp File Source/core/frame/SubresourceIntegrity.cpp (right): https://codereview.chromium.org/596043003/diff/20001/Source/core/frame/SubresourceIntegrity.cpp#newcode117 Source/core/frame/SubresourceIntegrity.cpp:117: logErrorToConsole("The 'integrity' attribute '" ...
2 years, 6 months ago (2014-09-24 08:40:28 UTC) #2
jww
Hey Mike. Sorry it took so long, but I think I addressed your comments. https://codereview.chromium.org/596043003/diff/20001/Source/core/frame/SubresourceIntegrity.cpp ...
2 years, 6 months ago (2014-09-30 01:38:50 UTC) #3
Mike West
LGTM % typos. Thanks! https://codereview.chromium.org/596043003/diff/60001/Source/core/frame/SubresourceIntegrity.cpp File Source/core/frame/SubresourceIntegrity.cpp (right): https://codereview.chromium.org/596043003/diff/60001/Source/core/frame/SubresourceIntegrity.cpp#newcode117 Source/core/frame/SubresourceIntegrity.cpp:117: logErrorToConsole("The 'integrity' attribute's value '" ...
2 years, 6 months ago (2014-09-30 09:13:28 UTC) #4
jww
https://codereview.chromium.org/596043003/diff/60001/Source/core/frame/SubresourceIntegrity.cpp File Source/core/frame/SubresourceIntegrity.cpp (right): https://codereview.chromium.org/596043003/diff/60001/Source/core/frame/SubresourceIntegrity.cpp#newcode117 Source/core/frame/SubresourceIntegrity.cpp:117: logErrorToConsole("The 'integrity' attribute's value '" + attribute + "' ...
2 years, 6 months ago (2014-09-30 17:59:33 UTC) #5
jww
https://codereview.chromium.org/596043003/diff/60001/Source/core/frame/SubresourceIntegrity.cpp File Source/core/frame/SubresourceIntegrity.cpp (right): https://codereview.chromium.org/596043003/diff/60001/Source/core/frame/SubresourceIntegrity.cpp#newcode117 Source/core/frame/SubresourceIntegrity.cpp:117: logErrorToConsole("The 'integrity' attribute's value '" + attribute + "' ...
2 years, 6 months ago (2014-09-30 17:59:33 UTC) #6
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/596043003/80001
2 years, 6 months ago (2014-09-30 18:00:11 UTC) #8
commit-bot: I haz the power
Try jobs failed on following builders: linux_blink_rel on tryserver.blink (http://build.chromium.org/p/tryserver.blink/builders/linux_blink_rel/builds/27138)
2 years, 6 months ago (2014-09-30 19:02:07 UTC) #10
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/596043003/100001
2 years, 6 months ago (2014-09-30 19:16:38 UTC) #12
commit-bot: I haz the power
2 years, 6 months ago (2014-09-30 23:05:55 UTC) #13
Message was sent while issue was closed.
Committed patchset #6 (id:100001) as 183000
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld cc6ac46